- ansible.builtin.import_role:
    name: compose
    tasks_from: facts
  vars:
    service_defaults:
      name: etherpad
      directory: "{{ docker_dir }}/etherpad"
      subdirs: ["db"]
      domain: "etherpad.example.org"
      port: 9001
      traefik: true
      external: true
      watchtower: true
      autoheal: true
      skip_network_definition: false
      title: 'Etherpad'
      default_pad_text: ''
      user: 'admin'
      password: 'password'
      lang: 'en'
      db:
        root_password: 'password'
        name: 'etherpad'
        username: 'etherpad'
        password: 'password'

- ansible.builtin.import_role:
    name: compose
    tasks_from: create_directories

- ansible.builtin.import_role:
    name: compose
    tasks_from: deploy_docker
